Patch Repository

PremiumSoft Navicat Essentials for PostgreSQL X64 Patches
S.No Patch Name Bulletin id Severity
1Navicat_PreReqHandler.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.15.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.16.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.17.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.18.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.19.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.20.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.22.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.23.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.24.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.25.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.26.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.27.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.28.exeTU-750Low
1navicatess120_pgsql_en_x64_12.0.29.exeTU-750Low

Disclaimer: This webpage is intended to provide you information about patch announcement for certain specific software products. The information is provided "As Is" without warranty of any kind. The links provided point to pages on the vendors websites. You can get more information by clicking the links to visit the relevant pages on the vendors website.